<?php 
/**
 * Createing an about us pannel for customizer
 *
 */
// Product Categories SECTION START HERE 
/*============pRODICT CATEGORIES PANEL============*/
$wp_customize->add_section(
	'product_categories_catlogue',
	array(
		'title'         => __( 'Product Categories', 'luzuk-premium' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	)
);
// ENABLE/DISABLE TEAM SECTION
$wp_customize->add_setting(
	'product_categories_catlogue_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'product_categories_catlogue_disable',
		array(
			'settings'      => 'product_categories_catlogue_disable',
			'section'       => 'product_categories_catlogue',
			'label'         => __( 'Disable Section', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'categories', 'product_categories_catlogue', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'procatsection_padding', 'product_categories_catlogue', ' Section Padding Setting:');

$wp_customize->add_setting(
    'sectionprocat_toppadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionprocat_toppadding',
    array(
        'settings'      => 'sectionprocat_toppadding',
        'section'       => 'product_categories_catlogue',
        'type'          => 'text',
        'label'         => __( 'Section Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sectionprocat_bottompadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionprocat_bottompadding',
    array(
        'settings'      => 'sectionprocat_bottompadding',
        'section'       => 'product_categories_catlogue',
        'type'          => 'text',
        'label'         => __( 'Section Bottom Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sectionprocat_leftpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionprocat_leftpadding',
    array(
        'settings'      => 'sectionprocat_leftpadding',
        'section'       => 'product_categories_catlogue',
        'type'          => 'text',
        'label'         => __( 'Section Left Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'sectionprocat_rightpadding',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
        'default'           => __( '0px', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'sectionprocat_rightpadding',
    array(
        'settings'      => 'sectionprocat_rightpadding',
        'section'       => 'product_categories_catlogue',
        'type'          => 'text',
        'label'         => __( 'Section Right Padding', 'luzuk-premium' )
    )
);


$wp_customize->add_setting(
	'product_category_title_subtitle_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);

$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'product_category_title_subtitle_heading',
		array(
			'settings'      => 'product_category_title_subtitle_heading',
			'section'       => 'product_categories_catlogue',
			'label'         => __( 'Section Title & Sub Title', 'luzuk-premium' ),
		)
	)
);

$wp_customize->add_setting(
	'product_category_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Restaurent Menu', 'luzuk-premium' )
	)
);

$wp_customize->add_control(
	'product_category_title',
	array(
		'settings'      => 'product_category_title',
		'section'       => 'product_categories_catlogue',
		'type'          => 'text',
		'label'         => __( 'Title', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
	'product_category_sub_title',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Two or three words', 'luzuk-premium' )
	)
);

$wp_customize->add_control(
	'product_category_sub_title',
	array(
		'settings'      => 'product_category_sub_title',
		'section'       => 'product_categories_catlogue',
		'type'          => 'textarea',
		'label'         => __( 'Sub Title', 'luzuk-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'product_category_Heading_color', 'product_categories_catlogue', 'Heading color', $headingColor);
// Text color
addColorPalatOption($wp_customize, 'product_category_text_color', 'product_categories_catlogue', 'Text color', '#333333');

/*$wp_customize->add_setting('product_category_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'product_category_npp_heading',
		array(
			'settings'      => 'product_category_npp_heading',
			'section'       => 'product_categories_catlogue',
			'label'         => __( 'Number Of team to show', 'luzuk-premium' ),
		)
	)
);    

$wp_customize->add_setting('product_category_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 2));
$wp_customize->add_control(
	'product_category_npp_count',
	array(
		'settings'      => 'product_category_npp_count',
		'section'       => 'product_categories_catlogue',
		'type'          => 'select',
		'label'         => __( 'Number of team members to show', 'luzuk-premium' ),
		'choices'=>array(1,2,3,4,5,6)
	)
); */
